# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart
# Libre Office Version: 7.4
from __future__ import annotations
import uno


class ChartRegressionCurveType(uno.Enum):
    """
    Enum


    See Also:
        `API ChartRegressionCurveType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart.html#a00d1bb45d8b0a2aac5e07cde2f18302b>`_
    """
    typeName: str = 'com.sun.star.chart.ChartRegressionCurveType'

    EXPONENTIAL: ChartRegressionCurveType = ...
    """
    displays an exponential regression curve.
    """
    LINEAR: ChartRegressionCurveType = ...
    """
    displays a linear regression curve.
    """
    LOGARITHM: ChartRegressionCurveType = ...
    """
    displays a linear logarithmic regression curve.
    """
    NONE: ChartRegressionCurveType = ...
    """
    error indicators are not displayed.
    
    displays no regression curve.
    
    no chart legend is displayed.
    
    displays no error indicators.
    """
    POLYNOMIAL: ChartRegressionCurveType = ...
    """
    displays a polynomial regression curve.
    """
    POWER: ChartRegressionCurveType = ...
    """
    displays a regression curve using a power function.
    
    displays a moving average regression curve.
    """

